Skip to main content
POST
Send a message to an agent

Authorizations

Authorization
string
header
required

Bearer API key for server-to-server access. Session auth is also supported in first-party UI flows.

Path Parameters

agentId
string
required

Body

application/json
organizationId
string
Required string length: 1 - 120
message
string
Required string length: 1 - 100000
clientThreadKey
string
default:default
Required string length: 1 - 200
wait
boolean
default:false
decisions
object[]
Required array length: 1 - 20 elements

Response

The agent's verbatim final reply or pending approvals.

agentId
string
required
threadKey
string
required
runId
string
required
threadId
string
required
status
enum<string>
required
Available options:
accepted,
running,
completed,
awaiting_approval,
failed
reply
string | null
required
approvals
object[] | null
required
error
string | null
required